/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import '~@ionic/angular/css/core.css';

/* Basic CSS for apps built with Ionic */
@import '~@ionic/angular/css/normalize.css';
@import '~@ionic/angular/css/structure.css';
@import '~@ionic/angular/css/typography.css';
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import '~@ionic/angular/css/padding.css';
@import '~@ionic/angular/css/float-elements.css';
@import '~@ionic/angular/css/text-alignment.css';
@import '~@ionic/angular/css/text-transformation.css';
@import '~@ionic/angular/css/flex-utils.css';

.sc-ion-card-md-h {
  background: white;
}

.page-background {
  --background: var(--ion-color-light);
  padding: 0;
  height: 100%;
}

.align {
  align-items: center;
  vertical-align: middle;
}

.name {
  font-size: 1.4rem;
  text-transform: capitalize;
}

.avatar {
  margin-left: 20%;
  width: 60%;
  height: 60%;
}

.header-row {
  font-weight: bold;
}

.split-pane-visible > .split-pane-side {
  min-width: 260px !important;
  max-width: 260px !important;
}

.mat-input-wrapper {
  width: 100% !important;
}

.full-width-table {
  width: 100%;
}
.mat-row:hover {
  transform: scale(1);
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}
.mat-tooltip.tooltip {
  font-size: 1.2rem;
}

.disable-scrollbars::-webkit-scrollbar {
  display: none;
}

.disable-scrollbars {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}

.active {
  background-color: white;
  color: var(--ion-color-primary) !important;
  ion-icon {
    color: var(--ion-color-primary) !important;
  }
  --color-hover: var(--ion-color-primary) !important;
}

.mat-header-cell.text-center {
  text-align: center;
}

.cancel {
  color: var(--ion-color-danger) !important;
}
